<?php

# @name: index.php
# @version: 0.1
# @creation_date: 2021-09-24
# @license: The MIT License <https://opensource.org/licenses/MIT>
# @author: Simon Bowie <ad7588@coventry.ac.uk>
# @purpose: Home page for the application

include '../random.php';
include '../ops_api.php';

$random_record = random_record();

?>

<!DOCTYPE html>
<html lang="en">
<head>
</head>
<body>

  Application ID:

  <?php
  echo $random_record['application_id'];
  ?>

  <br><br>

  EPO publication:

  <a href=<?php echo $random_record['epo_publication_url']; ?>>
    <?php
    echo $random_record['epo_publication_url'];
    ?>
  </a>

  <br><br>

  IPC publication:

  <a href=<?php echo $random_record['ipc_publication_url']; ?>>
    <?php
    echo $random_record['ipc_publication_url'];
    ?>
  </a>

  <br><br>

  Title:

  <?php
  echo $random_record['title'];
  ?>

  <br><br>

  <?php
  if ($random_record['abstract']):
  ?>

  Abstract:

    <?php
    echo $random_record['abstract'];
    ?>

  <br><br>

  <?
  endif;
  ?>

  <?php
    $publication_details = get_publication_details($random_record['doc_ref']);

    if ($publication_details['original_title']):
  ?>

    Original language title:

    <?php
    echo $publication_details['original_title'];
    ?>

    <br><br>

  <?php
    endif;
  ?>

  <?php
    if ($publication_details['original_abstract']):
  ?>

    Original language abstract:

    <?php
    echo $publication_details['original_abstract'];
    ?>

    <br><br>

  <?php
    endif;
  ?>


  <?php
    if (check_for_images($random_record['doc_ref'])):
  ?>

  <iframe src="./ops_image.php?doc_ref=<?php echo $random_record['doc_ref'] ?>" width="100%" height="500px">
  </iframe>

  <br><br>

  <?php
    endif;
  ?>

</body>
</html>
